%define name		arson
%define version 	0.9.7
%define release 	6mdk

Summary: 	Arson - A KDE frontend to various CD burning, and ripping tools.
Name: 	 	%name
Version: 	%version
Release: 	%release
Source: 	%name-%version-kde3.tar.bz2
Group: 		Archiving/Cd burning
License: 	GPL
URL: 		http://arson.sourceforge.net/
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	libfam-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	XFree86-devel
BuildRequires:	arts
Requires:       cdrecord >= 1.10 cdrecord-cdda2wav >= 1.10 
Requires: 	mkisofs >= 1.13-3mdk cdrdao >= 1.1.5-6mdk 
Requires:	mpg123 >= 0.59r-16mdk cdparanoia >= IIIa9.8-3mdk
Requires:	vorbis-tools >= 1.0-0rc3.4mdk textutils >= 2.0.17-7mdk
Requires:	sox >= 12.17.1-3mdk vcdimager >= 0.6.2-1mdk
Requires:	id3v2

%description
Arson is a KDE frontend to various CD burning, and ripping tools.
It's a frontend which use cdrdao (in disk at once mode), could decode 
various encoded audio formats (mp3, ogg), and displayed accurate track 
length as the playlist was created.

%prep

%setup -q -n %name-%version-kde3

%build -n arson-%{version}
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	--enable-mt \
	--with-qt-dir=/usr/lib/qt3 \
	--disable-debug --disable-rpath --libdir=%_libdir

%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std
 

install -d $RPM_BUILD_ROOT%_menudir

kdedesktop2mdkmenu.pl arson "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Utilities/Arson.desktop %buildroot/%_menudir/arson
#remove to prevent conflict with k3b
rm -rfd $RPM_BUILD_ROOT/usr/share/mimelnk/application/* 

%{find_lang} %{name}
#fix the icons for rpmlint
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%name.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%name.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%name.png %buildroot/%_miconsdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING DESCRIPTION FEATURES HELPME INSTALL
%doc NEWS README REQUIREMENTS THANKS TODO VERSION

%_bindir/*
%_menudir/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%dir %_datadir/apps/arson
%dir %_datadir/apps/arson/pics

%_datadir/apps/arson/arsonui.rc
%_datadir/apps/arson/isoopts.xml
%_datadir/apps/arson/genres.xml

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/22x22/apps/*.png
%_datadir/icons/hicolor/22x22/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/48x48/apps/*.png

#%_datadir/mimelnk/application/*.desktop
%_datadir/applnk/Utilities/*.desktop
%_datadir/config/*.xml

%changelog
* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-6mdk
- buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix buildreuires

* Wed Mar  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-4mdk
- spec fixes
- add missing buildrequires for libfam-devel and libart_lgpl-devel
- add requirement for id3v3, needed for mp3 file tagging
- remove bogus requires of libid3lib3.8_2

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9.7-3mdk
- rebuild

* Sun Dec  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- from Charles A Edwards <eslrahc@bellsouth.net>:
  - remove /application/x-cue.desktop to prevent conflict with k3b

* Thu Oct 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- new version

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-5mdk
- fix the rpmlint warnings
- spec cleanup

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-4mdk
- gcc 3.2-0.3mdk build

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-3mdk
- gcc 3.2 build

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Fix some file install and 'spec' file

* Fri Jun 21 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.9.6-1mdk
- Original release
